#+TITLE: MU MKDIR
#+MAN_CLASS_OPTIONS: :section-id "@SECTION_ID@" :date "@MAN_DATE@"

* NAME

mu-mkdir - create a new Maildir

* SYNOPSIS

*mu [common-options] mkdir [options] <dir> [<dirs>]*

* DESCRIPTION

*mu mkdir* is the command for creating Maildirs as per *maildir(5)*. A maildir is a
a directory with subdirectories ~new~, ~cur~ and ~tmp~.

The command does not use the mu database.

If creation fails for any reason, *no* attempt is made to remove any parts that
were created. This is for safety reasons.

* MKDIR OPTIONS

** --mode=<mode>
set the file access mode for the new maildir(s) as in *chmod(1)*. The default
is 0755.

#+include: "common-options.inc" :minlevel 1

* EXAMPLE

#+begin_example
$ mu mkdir tom dick harry
#+end_example

creates three maildirs, =tom=, =dick= and =harry=.

#+include: "prefooter.inc" :minlevel 1

* SEE ALSO

*maildir(5)*, *chmod(1)*
